[caribou] Update autotools configuration
- From: Javier Jardón <jjardon src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [caribou] Update autotools configuration
- Date: Wed, 5 May 2010 17:22:16 +0000 (UTC)
commit debe66c357306fc0050c31c14cd70354252539e6
Author: Javier Jardón <jjardon gnome org>
Date: Wed May 5 15:40:59 2010 +0200
Update autotools configuration
New requirements:
automake >= 1.11
autoconf >= 2.63
Also, added pygtk and pyclutter as required dependencies
Makefile.am | 2 ++
autogen.sh | 18 ++++++++++++++++--
configure.ac | 30 ++++++++++++++++++++++++++----
3 files changed, 44 insertions(+), 6 deletions(-)
---
diff --git a/Makefile.am b/Makefile.am
index 5f5605c..eae1719 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -1 +1,3 @@
+ACLOCAL_AMFLAGS = -I m4 ${ACLOCAL_FLAGS}
+
SUBDIRS = caribou bin
diff --git a/autogen.sh b/autogen.sh
index 74df883..1f4cbad 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,7 +1,21 @@
+#!/bin/sh
# Calls gnome-autogen to build Makefiles and run configure
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
-REQUIRED_AUTOMAKE_VERSION=1.7.2
-USE_GNOME2_MACROS=1 USE_COMMON_DOC_BUILD=yes . gnome-autogen.sh
+PKG_NAME="caribou"
+
+(test -f $srcdir/configure.ac) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
+}
+
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common module and make"
+ echo "sure the gnome-autogen.sh script is in your \$PATH."
+ exit 1
+}
+
+USE_GNOME2_MACROS=1 . gnome-autogen.sh
diff --git a/configure.ac b/configure.ac
index 1b4639b..0bbed0f 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1,11 +1,30 @@
-AC_INIT(caribou, 0.1.0, eitan monotonous org)
-AM_INIT_AUTOMAKE
-AM_MAINTAINER_MODE
-GNOME_DOC_INIT
+AC_PREREQ([2.63])
+AC_INIT([caribou],
+ [0.0.2],
+ [https://bugzilla.gnome.org/enter_bug.cgi?product=caribou],
+ [caribou])
+
+AC_CONFIG_MACRO_DIR([m4])
+
+AM_INIT_AUTOMAKE([1.11])
+AM_MAINTAINER_MODE([enable])
+# Support silent build rules. Disable by either passing --disable-silent-rules
+# to configure or passing V=1 to make
+AM_SILENT_RULES([yes])
dnl == check for python ==
AM_PATH_PYTHON(2.4)
+dnl == Library dependencies ==
+PYGTK_REQUIRED=2.16
+PYCLUTTER_REQUIRED=1.0
+
+PKG_CHECK_MODULES(CARIBOU, [
+ pygtk-2.0 >= $PYGTK_REQUIRED,
+ pyclutter-1.0 >= $PYCLUTTER_REQUIRED])
+AC_SUBST(CARIBOU_CFLAGS)
+AC_SUBST(CARIBOU_LIBS)
+
dnl == i18n ==
#GETTEXT_PACKAGE=caribou
#AC_SUBST(GETTEXT_PACKAGE)
@@ -15,6 +34,9 @@ dnl == i18n ==
dnl == intltool check ==
#IT_PROG_INTLTOOL([0.35.0])
+dnl == Documentation ==
+GNOME_DOC_INIT
+
dnl == generate makefiles ==
AC_OUTPUT([
Makefile
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]